### Method

# Ggit Blob get_raw_content

#### Declaration [src]

    const guchar*
    ggit_blob_get_raw_content (
      GgitBlob* blob,
      gsize* length
    )

#### Description [src]

Gets a read-only buffer with the raw contents of `blob`.

A pointer to the raw contents of `blob` is returned. This pointer is owned internally by `object` and must not be free’d. The pointer may be invalidated at a later time.

#### Parameters

`length`

  Type: `gsize*`

  Return value of the length of the data.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `guint8`

The blob content or `NULL` if the blob does not have any content.

The length of the array is in the `length` argument.
The returned data is owned by the instance.
The return value can be `NULL`.